Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556532 - vmmlib: FTBFS in F28
Summary: vmmlib: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vmmlib
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:04 UTC by Fedora Release Engineering
Modified: 2018-05-28 14:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-28 14:56:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-15 00:04:33 UTC
Your package vmmlib failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24902007

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Jaroslav Škarvada 2018-03-19 13:24:21 UTC
The vmmlib-1.6.2-8.20140319git925a709b builds OK in both f28 and f29, thus closing.

Comment 2 Till Maas 2018-04-28 09:58:39 UTC
Not sure how you tested this, there were no newer build for F28 or Rawhide. Currently it does not build on F28:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26609327
https://kojipkgs.fedoraproject.org//work/tasks/9327/26609327/build.log


[ 41%] Building CXX object CMakeFiles/vmmlib_test.dir/tests/qr_decomposition_test.cpp.o
/usr/bin/c++  -DBOOST_ALL_NO_LIB -DBOOST_TEST_DYN_LINK -DBoost_NO_BOOST_CMAKE -DCXX_ARRAY_SUPPORTED -DCXX_AUTO_SUPPORTED -DCXX_FINAL_OVERRIDE_SUPPORTED -DCXX_NULLPTR_SUPPORTED -DCXX_SHAREDPTR_SUPPORTED -DCXX_TEMPLATE_ALIAS_SUPPORTED -DCXX_TUPLE_SUPPORTED -DCXX_UNORDERED_MAP_SUPPORTED -DLinux=1 -DVMMLIB_BIGENDIAN -DVMMLIB_USE_OPENMP=1 -DVMMLIB_VERSION=1.7.0 -I/builddir/build/BUILD/vmmlib-1.6.2/include -I/builddir/build/BUILD/vmmlib-1.6.2/build/include -I/builddir/build/BUILD/vmmlib-1.6.2  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -Wall -Wextra -Winvalid-pch -Winit-self -Wno-unknown-pragmas -Werror -Wshadow -Wnon-virtual-dtor -Wsign-promo -fno-strict-aliasing -std=c++11 -Wno-shadow -Wno-sign-compare -Wno-extra -Wno-strict-aliasing -g   -fPIC -o CMakeFiles/vmmlib_test.dir/tests/qr_decomposition_test.cpp.o -c /builddir/build/BUILD/vmmlib-1.6.2/tests/qr_decomposition_test.cpp
In file included from /builddir/build/BUILD/vmmlib-1.6.2/tests/matrix_test.cpp:3:
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp: In instantiation of 'void vmml::matrix<M, N, T>::sum_rows(vmml::matrix<(M / 2), N, T>&) const [with long unsigned int M = 5; long unsigned int N = 7; T = unsigned int]':
/builddir/build/BUILD/vmmlib-1.6.2/tests/matrix_test.cpp:1173:19:   required from here
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2742:22: error: 'new' of type 'row_type' {aka 'vmml::vector<7, unsigned int>'} with extended alignment 16 [-Werror=aligned-new=]
     row_type* row0 = new row_type;
                      ^~~~~~~~~~~~
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2742:22: note: uses 'void* operator new(std::size_t)', which does not have an alignment parameter
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2742:22: note: use '-faligned-new' to enable C++17 over-aligned new support
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2743:22: error: 'new' of type 'row_type' {aka 'vmml::vector<7, unsigned int>'} with extended alignment 16 [-Werror=aligned-new=]
     row_type* row1 = new row_type;
                      ^~~~~~~~~~~~
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2743:22: note: uses 'void* operator new(std::size_t)', which does not have an alignment parameter
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2743:22: note: use '-faligned-new' to enable C++17 over-aligned new support
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp: In instantiation of 'void vmml::matrix<M, N, T>::sum_columns(vmml::matrix<M, (N / 2), T>&) const [with long unsigned int M = 5; long unsigned int N = 7; T = unsigned int]':
/builddir/build/BUILD/vmmlib-1.6.2/tests/matrix_test.cpp:1186:22:   required from here
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2768:22: error: 'new' of type 'col_type' {aka 'vmml::vector<5, unsigned int>'} with extended alignment 16 [-Werror=aligned-new=]
     col_type* col0 = new col_type;
                      ^~~~~~~~~~~~
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2768:22: note: uses 'void* operator new(std::size_t)', which does not have an alignment parameter
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2768:22: note: use '-faligned-new' to enable C++17 over-aligned new support
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2769:22: error: 'new' of type 'col_type' {aka 'vmml::vector<5, unsigned int>'} with extended alignment 16 [-Werror=aligned-new=]
     col_type* col1 = new col_type;
                      ^~~~~~~~~~~~
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2769:22: note: uses 'void* operator new(std::size_t)', which does not have an alignment parameter
/builddir/build/BUILD/vmmlib-1.6.2/include/vmmlib/matrix.hpp:2769:22: note: use '-faligned-new' to enable C++17 over-aligned new support
[ 47%] Building CXX object CMakeFiles/vmmlib_test.dir/tests/quaternion_test.cpp.o
/usr/bin/c++  -DBOOST_ALL_NO_LIB -DBOOST_TEST_DYN_LINK -DBoost_NO_BOOST_CMAKE -DCXX_ARRAY_SUPPORTED -DCXX_AUTO_SUPPORTED -DCXX_FINAL_OVERRIDE_SUPPORTED -DCXX_NULLPTR_SUPPORTED -DCXX_SHAREDPTR_SUPPORTED -DCXX_TEMPLATE_ALIAS_SUPPORTED -DCXX_TUPLE_SUPPORTED -DCXX_UNORDERED_MAP_SUPPORTED -DLinux=1 -DVMMLIB_BIGENDIAN -DVMMLIB_USE_OPENMP=1 -DVMMLIB_VERSION=1.7.0 -I/builddir/build/BUILD/vmmlib-1.6.2/include -I/builddir/build/BUILD/vmmlib-1.6.2/build/include -I/builddir/build/BUILD/vmmlib-1.6.2  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -Wall -Wextra -Winvalid-pch -Winit-self -Wno-unknown-pragmas -Werror -Wshadow -Wnon-virtual-dtor -Wsign-promo -fno-strict-aliasing -std=c++11 -Wno-shadow -Wno-sign-compare -Wno-extra -Wno-strict-aliasing -g   -fPIC -o CMakeFiles/vmmlib_test.dir/tests/quaternion_test.cpp.o -c /builddir/build/BUILD/vmmlib-1.6.2/tests/quaternion_test.cpp
[ 52%] Building CXX object CMakeFiles/vmmlib_test.dir/tests/svd_test.cpp.o
/usr/bin/c++  -DBOOST_ALL_NO_LIB -DBOOST_TEST_DYN_LINK -DBoost_NO_BOOST_CMAKE -DCXX_ARRAY_SUPPORTED -DCXX_AUTO_SUPPORTED -DCXX_FINAL_OVERRIDE_SUPPORTED -DCXX_NULLPTR_SUPPORTED -DCXX_SHAREDPTR_SUPPORTED -DCXX_TEMPLATE_ALIAS_SUPPORTED -DCXX_TUPLE_SUPPORTED -DCXX_UNORDERED_MAP_SUPPORTED -DLinux=1 -DVMMLIB_BIGENDIAN -DVMMLIB_USE_OPENMP=1 -DVMMLIB_VERSION=1.7.0 -I/builddir/build/BUILD/vmmlib-1.6.2/include -I/builddir/build/BUILD/vmmlib-1.6.2/build/include -I/builddir/build/BUILD/vmmlib-1.6.2  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -Wall -Wextra -Winvalid-pch -Winit-self -Wno-unknown-pragmas -Werror -Wshadow -Wnon-virtual-dtor -Wsign-promo -fno-strict-aliasing -std=c++11 -Wno-shadow -Wno-sign-compare -Wno-extra -Wno-strict-aliasing -g   -fPIC -o CMakeFiles/vmmlib_test.dir/tests/svd_test.cpp.o -c /builddir/build/BUILD/vmmlib-1.6.2/tests/svd_test.cpp
cc1plus: all warnings being treated as errors
make[2]: *** [CMakeFiles/vmmlib_test.dir/build.make:105: CMakeFiles/vmmlib_test.dir/tests/matrix_test.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
[ 58%] Building CXX object CMakeFiles/vmmlib_test.dir/tests/timer.cpp.o
/usr/bin/c++  -DBOOST_ALL_NO_LIB -DBOOST_TEST_DYN_LINK -DBoost_NO_BOOST_CMAKE -DCXX_ARRAY_SUPPORTED -DCXX_AUTO_SUPPORTED -DCXX_FINAL_OVERRIDE_SUPPORTED -DCXX_NULLPTR_SUPPORTED -DCXX_SHAREDPTR_SUPPORTED -DCXX_TEMPLATE_ALIAS_SUPPORTED -DCXX_TUPLE_SUPPORTED -DCXX_UNORDERED_MAP_SUPPORTED -DLinux=1 -DVMMLIB_BIGENDIAN -DVMMLIB_USE_OPENMP=1 -DVMMLIB_VERSION=1.7.0 -I/builddir/build/BUILD/vmmlib-1.6.2/include -I/builddir/build/BUILD/vmmlib-1.6.2/build/include -I/builddir/build/BUILD/vmmlib-1.6.2  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection -Wall -Wextra -Winvalid-pch -Winit-self -Wno-unknown-pragmas -Werror -Wshadow -Wnon-virtual-dtor -Wsign-promo -fno-strict-aliasing -std=c++11 -Wno-shadow -Wno-sign-compare -Wno-extra -Wno-strict-aliasing -g   -fPIC -o CMakeFiles/vmmlib_test.dir/tests/timer.cpp.o -c /builddir/build/BUILD/vmmlib-1.6.2/tests/timer.cpp
make[2]: Leaving directory '/builddir/build/BUILD/vmmlib-1.6.2/build'
make[1]: Leaving directory '/builddir/build/BUILD/vmmlib-1.6.2/build'
make[1]: *** [CMakeFiles/Makefile2:647: CMakeFiles/vmmlib_test.dir/all] Error 2
make: *** [Makefile:166: all] Error 2
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.AjBiCW (%build)
    Macro expanded in comment on line 20: %{version}.tar.gz#/%{name}-release-%{version}.tar.gz
    Macro expanded in comment on line 20: %{version}.tar.gz#/%{name}-release-%{version}.tar.gz
    Bad exit status from /var/tmp/rpm-tmp.AjBiCW (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 89, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 582, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target noarch --nodeps /builddir/build/SPECS/vmmlib.spec

Comment 3 Jaroslav Škarvada 2018-05-28 14:56:32 UTC
Sorry, it builds OK for me in both f28 and f29, scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=27259385
https://koji.fedoraproject.org/koji/taskinfo?taskID=27259401

So, I re-built it for f28 where the build was missing:
https://koji.fedoraproject.org/koji/taskinfo?taskID=27259426


Note You need to log in before you can comment on or make changes to this bug.